//
//  It is file 'stdinc.hpp'
//
//  Copyright (C) 1992, 1993 Serge Pachkovsky, ps@che.nsk.su
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 1, or (at your option)
//  any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#if defined( __TURBOC__ ) || defined( _MSC_VER )
#   define  MSDOS
#   define  HUGE_INLINES
#endif

#if defined( MSDOS ) || defined( GNUDOS )
#   define  MSDOS_IO
#endif

#ifndef O_BINARY
#define	O_BINARY	0
#endif

#ifndef ENOFILE
#define	ENOFILE		ENOENT
#endif

#if ! defined( MSDOS ) && ! defined( UNALIGNED_MEMORY_ACCESS )
#ifndef ALIGNED_MEMORY_ACCESS
#define ALIGNED_MEMORY_ACCESS
#endif
#endif

//
//	If you have GPP version below 2.2, uncomment the following line
//	(Sorry, it won't work - I am too tired of old-fascioned streams...)
//
//#define  OLDSTREAMS

//
//	If you have GPP version 1.39, uncomment the following line
//
//#define  PATCH_DELETE_BUG

//
//  One of the following could be uncommented depending on compiler's
//  inline expansion capacity.
//
#ifdef HUGE_INLINES
#   define GEN_HUGE_FUNCS
#   define HugeInline  inline
#else
#   define HugeInline
#endif

#include <iostream.h>
#ifdef MSDOS
#include <iomanip.h>
#endif
#ifdef __GNUC__
#include <unistd.h>
#endif
#include <stdlib.h>
#include <stdio.h>
#include <limits.h>
#include <memory.h>
#ifdef MSDOS
#include <io.h>
#endif
#include <fcntl.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <signal.h>
#include <errno.h>
#include <ctype.h>
#ifdef MSDOS
#include <dir.h>
#endif
#include <dirent.h>
#include <time.h>

#ifndef MSDOS
#include <utime.h>
#endif

#ifdef __TURBOC__
#include <alloc.h>
#endif

#ifdef GNUDOS
#include "gcc_upd.hpp"
#endif

#define inline
