//
//  It is file 'gen_func.cc'
//
//  Copyright (C) 1992, 1993 Serge Pachkovsky, ps@che.nsk.su
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 1, or (at your option)
//  any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
#include "stdinc.hpp"

//
//  GCC 1.39 can't merge instances of non-inline class members
//  generated in different classes. Therefore, we'll have to
//  generate 'em in a separate place :(
//

#if ! defined( GEN_HUGE_FUNCS )
#define GEN_HUGE_FUNCS
#define HugeInline
#include "timestamp.hpp"
#include "machine.hpp"
#include "crc32.hpp"
#include "codes.hpp"
#include "xio.hpp"
#include "buf_file.hpp"
#include "crcstream.hpp"
#include "byteorder.hpp"
#include "archdr.hpp"
#endif
