//
//  It is file 'xio.hpp'
//
//  Copyright (C) 1992, 1993 Serge Pachkovsky, ps@che.nsk.su
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 1, or (at your option)
//  any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
const char	DirectorySeparator = '/' ;

class DirGen {
    int 	    recursive ;
    char	   *base ;
    char	   *name_pattern ;
    DIR 	   *dir ;
    class DirGen   *nested ;
    char	   *name ;
    void	    PullNextFileName() ;
    public:
		    DirGen( const char *, int ) ;
		   ~DirGen() ;
    int 	    Next() ;
    char * const    CurrentName() const ;
    } ;

FILE *		xfopen( const char * const name, const char * const mode ) ;
void		CanonicalizeName( char *name ) ;
int		patmat( const char * raw, const char * pat, int recursive ) ;

unsigned long	AvailableVirtualMemory( unsigned long ) ;
unsigned long	AvailablePhysicalMemory( unsigned long ) ;
